Bug 1723050 - [abrt] xfdesktop: garcon_menu_item_set_action(): xfdesktop killed by SIGSEGV
Summary: [abrt] xfdesktop: garcon_menu_item_set_action(): xfdesktop killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:19d99e4784c7a6263c928f84380...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-22 13:35 UTC by GeoffLeach
Modified: 2020-05-26 18:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:30:12 UTC
Type: ---


Attachments (Terms of Use)

Description GeoffLeach 2019-06-22 13:35:49 UTC
Version-Release number of selected component:
xfdesktop-4.13.4-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 2dd685630-85c2-413a-9afd-d8ff509a7034
crash_function: garcon_menu_item_set_action
executable:     /usr/bin/xfdesktop
journald_cursor: s=bd7ce6f70cf348cea991f9f5074a85c6;i=1034;b=8c40ccfb19754ec095c68ac9cdb330d1;m=971254c0d;t=58be932189b73;x=6cfe39e1b0a83e6d
kernel:         5.1.11-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 garcon_menu_item_set_action at garcon-menu-item.c:1775
 #1 garcon_menu_item_reload_from_file at garcon-menu-item.c:1183
 #2 garcon_menu_item_reload at garcon-menu-item.c:961
 #3 garcon_menu_process_file_changes at garcon-menu.c:2274
 #9 gtk_main at gtkmain.c:1323
 #10 xfdesktop_application_start at xfdesktop-application.c:764
 #11 cb_wait_for_window_manager_destroyed at xfdesktop-application.c:587
 #12 g_source_callback_unref at ../glib/gmain.c:1553
 #14 g_source_destroy_internal at ../glib/gmain.c:1238
 #18 g_main_context_iteration at ../glib/gmain.c:3988

Potential duplicate: bug 1679815

Comment 1 Fedora Update System 2019-08-15 22:31:15 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 2 Fedora Update System 2019-08-17 01:27:13 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 3 Fedora Update System 2019-08-23 01:26:53 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Ben Cotton 2020-04-30 20:18:43 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 18:30:12 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.